dofile("data/scripts/lib/utilities.lua")
function OnPlayerSpawned( player_entity )

	if tonumber(StatsGetValue("playtime")) < 1 then
		-- Random starting loadouts compatibility fix, basically just setting several file paths back to default
		if ModIsEnabled("starting_loadouts") then
			ComponentSetValue( EntityGetFirstComponent( player_entity, "SpriteComponent" ), "image_file", "data/enemies_gfx/player.xml" )
			ComponentSetValue( EntityGetFirstComponent( player_entity, "DamageModelComponent" ), "ragdoll_filenames_file", "data/ragdolls/player/filenames.txt" )
			ComponentSetValue( EntityGetFirstComponent( player_arm, "SpriteComponent" ), "image_file", "data/enemies_gfx/player_arm.xml" )
			-- For the arm simply setting the path isn't enough, we need to kill it and load it again
			local plyrChildEnt = EntityGetAllChildren( player_entity )
			if ( plyrChildEnt ~= nil ) then
				for i,chldEntity in ipairs( plyrChildEnt ) do
					local childName = EntityGetName( chldEntity)
					if ( childName == "arm_r" ) then
						EntityKill( chldEntity )
						arm_entity = EntityLoad( "mods/marisa/files/entities/player_arm.xml")
						EntityAddChild( player_entity, arm_entity )
						break
					end
				end
			end
		end
		
		--Tiny fix so the bottom of the sprite doesn't clip by one pixel
		ComponentSetValue( EntityGetFirstComponent( player_entity, "SpriteComponent" ), "offset_y", "15" )
		
	
		-- Removes the default cape and spawns the new one
		local plyChildEnt = EntityGetAllChildren( player_entity )
		if ( plyChildEnt ~= nil ) then
			for i,childEntity in ipairs( plyChildEnt ) do
				if ( EntityGetName( childEntity ) == "cape" ) then
					EntityKill( childEntity )
					break
				end
			end
		end

		EntityAddComponent( player_entity, "LuaComponent",
		{
		  remove_after_executed="0",
		  execute_times="-1",
		  script_source_file="mods/marisa/files/scripts/velocity_fix.lua"
		} )

		--Replaces the jetpack's particles
	if ModSettingGet("marisa.JETPACK_TOGGLE") == true then	
		EntitySetComponentsWithTagEnabled( player_entity, "jetpack", 1 )
		if( nil == EntityGetFirstComponent( player_entity, "ParticleEmitterComponent", "marisa_lev" ) ) then
			-- Remove old particles
							for i,compo in ipairs( {"ParticleEmitterComponent", "SpriteParticleEmitterComponent"} ) do
					while( compo ~= nil ) do
						local ptEmit = EntityGetFirstComponent( player_entity, compo, "jetpack" )
						if ( ptEmit == nil ) then break end
						EntityRemoveComponent( player_entity, ptEmit )
					end
				end
			-- Create new particles
			if ModSettingGet("marisa.PARTICLES_TOGGLE") == true then	
			local ptEmit1 = EntityAddComponent( player_entity, "ParticleEmitterComponent",
			{
				_tags="jetpack,marisa_lev",
				emitted_material_name="spark_yellow",
				x_pos_offset_min="0",
				x_pos_offset_max="3",
				y_pos_offset_min="0",
				y_pos_offset_max="5",
				x_vel_min="-6",
				x_vel_max="6",
				y_vel_min="5",
				y_vel_max="20",
				count_min="6",
				attractor_force="0",
				lifetime_min="0.0",
				lifetime_max="10",
				create_real_particles="0",
				emit_cosmetic_particles="1",
				fade_based_on_lifetime="1",
				draw_as_long="1",
				emission_interval_min_frames="1",
				emission_interval_max_frames="1",
				is_trail="0",
				trail_gap="0.0",
				airflow_force="1.051",
				airflow_time="1.01",
				airflow_scale="0.05",
				is_emitting="1",
			} )
			local ptx, pty = ComponentGetValueVector2( ptEmit1, "gravity" )
			local amn, amx = ComponentGetValueVector2( ptEmit1, "area_circle_radius" )
			pty = "6.0"
			amx = "0"
			ComponentSetValueVector2( ptEmit1, "gravity", ptx, pty )
			ComponentSetValueVector2( ptEmit1, "offset", "-2", "2" )
			ComponentSetValueVector2( ptEmit1, "area_circle_radius", amn, amx )
		end
			end
			if ModSettingGet("marisa.STARS_TOGGLE") == true then
			local ptEmit2 = EntityAddComponent( player_entity, "SpriteParticleEmitterComponent",
			{
				_tags="jetpack,marisa_lev",
				sprite_file="mods/marisa/data/particles/knockback_star_1.xml",
				count_min="50",
				count_max="50",
				lifetime_min="0.0",
				lifetime_max="10",
				emission_interval_min_frames="5",
				emission_interval_max_frames="5",
				entity_velocity_multiplier="0",
				use_rotation_from_entity="1",
				render_back="1",
				is_emitting="1",
			} )
			ComponentSetValueVector2( ptEmit2, "offset", "-15", "15" )
			end
			if ModSettingGet("marisa.BROOM_TOGGLE") == true then
			local ptEmit3 = EntityAddComponent( player_entity, "SpriteParticleEmitterComponent",
			{
				_tags="jetpack,marisa_lev",
				sprite_file="mods/marisa/files/particles/broom.png",
				sprite_centered="1",
				count_min="1",
				lifetime_min="0.0",
				lifetime_max="10",
				emission_interval_min_frames="1",
				emission_interval_max_frames="1",
				entity_velocity_multiplier="1",
				use_rotation_from_entity="1",
				is_emitting="1",
				render_back="1"
			} )
			end
	end	
	end
end